Installing previous version of cyberpanel ?

Hi all sorry this may sound silly, but any way to access previous versions of cyber panel the current install is totally buggy for me it’s failed installing twice and when i did mange to get it installed i was getting random errors when trying to add website domains, the last error on install was.

Would just like to install a stable release if possible?

[05-34-40-Sun-Jul-2019] [ERROR] We are not able to Extract CyberPanel return cod e: 2. Fatal error, see /var/log/installLogs.txt for full details [download_inst all_CyberPanel]

Can you provide these details Bug Report Template — CyberPanel - WebHosting Control Panel for OpenLiteSpeed ?

Provider: Bithosts

Virtualization Type: Dedicated server

System: Centos 7.5

Installation option: since during the installation.
there will be few option to choose,so please provide it as well.

OLS or Enterprise?
OLS

Installing from official server or mirror server?
official

Replace JS/CSS files to JS Delivr?
no

Install Memcached extension for PHP?
no

Install LiteSpeed Memcached?
no

Install Memcached?
no

Install Redis extension for PHP?
no

Install Redis?
no

Problem:

When I try to install, it fails and show error message

Odd thing being no error, but i can’t start any services, nothing seems to be installed,

[05-34-40-Sun-Jul-2019] [ERROR] We are not able to Extract CyberPanel return cod e: 2. Fatal error, see /var/log/installLogs.txt for full details [download_inst all_CyberPanel]

[05-30-30-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-32-Sun-Jul-2019] mountTemp successful
[05-30-32-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-40-Sun-Jul-2019] mountTemp successful
[05-30-40-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-40-Sun-Jul-2019] mountTemp successful
[05-30-41-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-41-Sun-Jul-2019] mountTemp successful
[05-30-41-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-41-Sun-Jul-2019] mountTemp successful
[05-30-41-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-41-Sun-Jul-2019] mountTemp successful
[05-30-41-Sun-Jul-2019] mountTemp [mountTemp]
[05-30-41-Sun-Jul-2019] mountTemp successful
[05-30-41-Sun-Jul-2019] Install sudo. [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] Install sudo. successful
[05-30-41-Sun-Jul-2019] add user cyberpanel [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] add user cyberpanel successful
[05-30-41-Sun-Jul-2019] add user cyberpanel [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] add user cyberpanel successful
[05-30-41-Sun-Jul-2019] add user cyberpanel [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] [ERROR] We are not able to add user cyberpanel return code: 9 [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] add user cyberpanel [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] add user cyberpanel successful
[05-30-41-Sun-Jul-2019] add user cyberpanel [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] add user cyberpanel successful
[05-30-41-Sun-Jul-2019] add user cyberpanel [setup_account_cyberpanel]
[05-30-41-Sun-Jul-2019] add user cyberpanel successful
[05-30-42-Sun-Jul-2019] YUM UPDATE ran successfully.
[05-30-42-Sun-Jul-2019] CyberPanel Repo added!
[05-30-44-Sun-Jul-2019] EPEL Repo added!
[05-30-47-Sun-Jul-2019] PIP successfully installed!
[05-30-48-Sun-Jul-2019] Python development tools successfully installed!
[05-30-54-Sun-Jul-2019] GCC Successfully installed!
[05-30-55-Sun-Jul-2019] Python setup tools Successfully installed!
[05-30-59-Sun-Jul-2019] DJANGO successfully installed!
[05-31-01-Sun-Jul-2019] pexpect successfully installed!
[05-31-03-Sun-Jul-2019] MySQL-python successfully installed!
[05-31-05-Sun-Jul-2019] psutil successfully installed!
[05-31-05-Sun-Jul-2019] [chmod]
[05-31-05-Sun-Jul-2019] successful
[05-31-05-Sun-Jul-2019] [chmod]
[05-31-05-Sun-Jul-2019] successful
[05-31-05-Sun-Jul-2019] Install LiteSpeed. [installLiteSpeed]
[05-31-16-Sun-Jul-2019] Install LiteSpeed. successful
[05-31-16-Sun-Jul-2019] Changing default port to 80…
[05-31-16-Sun-Jul-2019] Default port is now 80 for OpenLiteSpeed!
[05-31-16-Sun-Jul-2019] Restart LiteSpeed WebServer [reStartLiteSpeed]
[05-31-18-Sun-Jul-2019] Restart LiteSpeed WebServer successful
[05-31-18-Sun-Jul-2019] Setting up Filemanager files…
[05-31-18-Sun-Jul-2019] Filemanager files are set!
[05-31-18-Sun-Jul-2019] Install PHP ALL [installAllPHPVersions]
[05-32-02-Sun-Jul-2019] Install PHP ALL successful
[05-32-02-Sun-Jul-2019] LiteSpeed PHPs successfully installed!
[05-32-02-Sun-Jul-2019] Install PHP 71 [installAllPHPVersions]
[05-32-11-Sun-Jul-2019] Install PHP 71 successful
[05-32-11-Sun-Jul-2019] Install PHP 72 [installAllPHPVersions]
[05-32-21-Sun-Jul-2019] Install PHP 72 successful
[05-32-21-Sun-Jul-2019] Install PHP 73 [installAllPHPVersions]
[05-32-30-Sun-Jul-2019] Install PHP 73 successful
[05-32-30-Sun-Jul-2019] Fixing OpenLiteSpeed configurations!

If i try to upgrade

[root@Ninjaweb ~]# python upgrade.py
Traceback (most recent call last):
File “upgrade.py”, line 8, in
django.setup()
File “/usr/lib64/python2.7/site-packages/django/init.py”, line 27, in setup
apps.populate(settings.INSTALLED_APPS)
File “/usr/lib64/python2.7/site-packages/django/apps/registry.py”, line 85, in populate
app_config = AppConfig.create(entry)
File “/usr/lib64/python2.7/site-packages/django/apps/config.py”, line 94, in create
module = import_module(entry)
File “/usr/lib64/python2.7/importlib/init.py”, line 37, in import_module
import(name)
ImportError: No module named websiteFunctions

Any way of reinstalling, as to rebuild the server again, or do i need to rebuild again ?

@Chronic0383 you can rebuild server and try again. If fails kindly submit ticket. I will have a look.

is there no way to install a previous release of cyber panel ?